- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::SumSymMatrixSpace Class Reference

Class for matrix space for SumSymMatrix. More...

`#include <IpSumSymMatrix.hpp>`

Inheritance diagram for Ipopt::SumSymMatrixSpace:

[legend]
Collaboration diagram for Ipopt::SumSymMatrixSpace:

[legend]
List of all members.

## Public Member Functions
void | SetTermSpace (Index term_idx, const SymMatrixSpace &space)
| Use this method to set the matrix spaces for the various terms.
SmartPtr< const SymMatrixSpace > | GetTermSpace (Index term_idx) const
| Get the matix space for a particular term.
SumSymMatrix * | MakeNewSumSymMatrix () const
| Method for creating a new matrix of this specific type.
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class.
Constructors / Destructors
| SumSymMatrixSpace (Index ndim, Index nterms)
| Constructor, given the dimension of the matrix and the number of terms in the sum.
| ~SumSymMatrixSpace ()
| Destructor.
Accessor functions
Index | NTerms () const
| Number of terms in the sum.
## Private Attributes
Index | nterms_
std::vector< SmartPtr< const SymMatrixSpace > > | term_spaces_

## Detailed Description

Class for matrix space for SumSymMatrix.

Definition at line 103 of file IpSumSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SumSymMatrixSpace::SumSymMatrixSpace | ( | Index | ndim,
|  | Index | nterms |
| ) |  |  | `[inline]`

Constructor, given the dimension of the matrix and the number of terms in the sum.

Definition at line 110 of file IpSumSymMatrix.hpp.

Ipopt::SumSymMatrixSpace::~SumSymMatrixSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 117 of file IpSumSymMatrix.hpp.

## Member Function Documentation

Index Ipopt::SumSymMatrixSpace::NTerms | ( |  | ) | const`[inline]`

Number of terms in the sum.

Definition at line 124 of file IpSumSymMatrix.hpp.

References nterms_.

void Ipopt::SumSymMatrixSpace::SetTermSpace | ( | Index | term_idx,
|  | const SymMatrixSpace & | space |
| ) |  |  |

Use this method to set the matrix spaces for the various terms.

You will not be able to create a matrix until all these spaces are set.

SmartPtr<const SymMatrixSpace> Ipopt::SumSymMatrixSpace::GetTermSpace | ( | Index | term_idx | ) | const

Get the matix space for a particular term.

SumSymMatrix* Ipopt::SumSymMatrixSpace::MakeNewSumSymMatrix | ( |  | ) | const

Method for creating a new matrix of this specific type.

virtual SymMatrix* Ipopt::SumSymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[virtual]`

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

## Member Data Documentation

Index Ipopt::SumSymMatrixSpace::nterms_`[private]`

Definition at line 146 of file IpSumSymMatrix.hpp.

Referenced by NTerms().

std::vector< SmartPtr<const SymMatrixSpace> > Ipopt::SumSymMatrixSpace::term_spaces_`[private]`

Definition at line 148 of file IpSumSymMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/LinAlg/IpSumSymMatrix.hpp